Package org.h2gis.functions.spatial.edit

## Class ST_AddPoint

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_AddPoint

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_AddPoint
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

Fields
`static double` `PRECISION`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_AddPoint()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Coordinate[]` `addCoordinate​(org.locationtech.jts.geom.CoordinateSequence coorseq, org.locationtech.jts.geom.Coordinate point, int position)` Expand the coordinates array and add a coordinate at the given position
`static org.locationtech.jts.geom.Geometry` `addPoint​(org.locationtech.jts.geom.Geometry geometry, org.locationtech.jts.geom.Point point)` Returns a new geometry based on an existing one, with a specific point as a new vertex.
`static org.locationtech.jts.geom.Geometry` `addPoint​(org.locationtech.jts.geom.Geometry geometry, org.locationtech.jts.geom.Point point, int position)` Returns a new geometry based on an existing one, with a specific point as a new vertex.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Field Detail

#### PRECISION

    public static final double PRECISION

See Also:
  Constant Field Values

### Constructor Detail

#### ST_AddPoint

    public ST_AddPoint()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### addPoint

    public static org.locationtech.jts.geom.Geometry addPoint​(org.locationtech.jts.geom.Geometry geometry,
                                                              org.locationtech.jts.geom.Point point)
                                                       throws SQLException

Returns a new geometry based on an existing one, with a specific point as a new vertex. A default distance 10E-6 is used to snap the input point.

Parameters:
  `geometry` -
  `point` -
Returns:
Throws:
  `SQLException`

#### addPoint

    public static org.locationtech.jts.geom.Geometry addPoint​(org.locationtech.jts.geom.Geometry geometry,
                                                              org.locationtech.jts.geom.Point point,
                                                              int position)
                                                       throws SQLException

Returns a new geometry based on an existing one, with a specific point as a new vertex.

Parameters:
  `geometry` -
  `point` -
  `position` -
Returns:
  same geometry if the vertex cannot be inserted
Throws:
  `SQLException` - If the vertex can be inserted but it makes the geometry to be in an invalid shape

#### addCoordinate

    public static org.locationtech.jts.geom.Coordinate[] addCoordinate​(org.locationtech.jts.geom.CoordinateSequence coorseq,
                                                                       org.locationtech.jts.geom.Coordinate point,
                                                                       int position)

Expand the coordinates array and add a coordinate at the given position

Parameters:
  `coorseq` -
  `position` -
  `point` -
Returns: